diff --git a/game/core/src/main/java/net/minecraft/core/world/World.java b/game/core/src/main/java/net/minecraft/core/world/World.java
index 1f744bec9..b1373963b 100644
--- a/game/core/src/main/java/net/minecraft/core/world/World.java
+++ b/game/core/src/main/java/net/minecraft/core/world/World.java
@@ -1260,7 +1179,7 @@ public class World implements MutableWorldSource {
         return true;
     }
 
-    public void addRainbow(final int rainbowTicks){
+    public void addRainbow(final int rainbowTicks) {
         this.rainbowTicks = this.startingRainbowTicks = rainbowTicks;
     }
 
@@ -1268,99 +1187,83 @@ public class World implements MutableWorldSource {
         int i = MathHelper.floor(entity.x / Chunk.CHUNK_SIZE_X);
         int j = MathHelper.floor(entity.z / Chunk.CHUNK_SIZE_Z);
         boolean flag = entity instanceof Player;
-        if(flag || isChunkLoaded(i, j))
-        {
-            if(entity instanceof Player)
-            {
-                Player entityplayer = (Player)entity;
-                players.add(entityplayer);
+        if (flag || isChunkLoaded(i, j)) {
+            if (entity instanceof Player entityplayer) {
+                this.players.add(entityplayer);
                 updateEnoughPlayersSleepingFlag(null);
             }
 
             getChunkFromChunkCoords(i, j).addEntity(entity);
-            entities.add(entity);
+            this.entities.add(entity);
             obtainEntitySkin(entity);
             return true;
-        } else
-        {
+        } else {
             return false;
         }
     }
 
-    protected void obtainEntitySkin(Entity entity)
-    {
-        for(int i = 0; i < listeners.size(); i++)
-        {
-            listeners.get(i).entityAdded(entity);
+    protected void obtainEntitySkin(Entity entity) {
+        for (int i = 0; i < this.listeners.size(); i++) {
+            this.listeners.get(i).entityAdded(entity);
         }
 
     }
 
-    protected void releaseEntitySkin(Entity entity)
-    {
-        for(int i = 0; i < listeners.size(); i++)
-        {
-            listeners.get(i).entityRemoved(entity);
+    protected void releaseEntitySkin(Entity entity) {
+        for (int i = 0; i < this.listeners.size(); i++) {
+            this.listeners.get(i).entityRemoved(entity);
         }
 
     }
 
-    public void setEntityDead(Entity entity)
-    {
-        if(entity.passenger != null)
-        {
+    public void setEntityDead(Entity entity) {
+        if (entity.passenger != null) {
             entity.passenger.startRiding(null);
         }
-        if(entity.vehicle != null)
-        {
+        if (entity.vehicle != null) {
             entity.startRiding(null);
         }
         entity.remove();
-        if(entity instanceof Player)
-        {
-            players.remove((Player)entity);
+        if (entity instanceof Player) {
+            this.players.remove((Player) entity);
             updateEnoughPlayersSleepingFlag(null);
         }
     }
-    
-    public void removePlayer(Entity entity)
-    {
+
+    public void removePlayer(Entity entity) {
         entity.remove();
-        if(entity instanceof Player)
-        {
-            players.remove((Player)entity);
+        if (entity instanceof Player) {
+            this.players.remove((Player) entity);
             updateEnoughPlayersSleepingFlag(null);
         }
         int i = entity.chunkCoordX;
         int j = entity.chunkCoordZ;
-        if(entity.addedToChunk && isChunkLoaded(i, j))
-        {
+        if (entity.addedToChunk && isChunkLoaded(i, j)) {
             getChunkFromChunkCoords(i, j).removeEntity(entity);
         }
-        entities.remove(entity);
+        this.entities.remove(entity);
         releaseEntitySkin(entity);
     }
 
-    public void addListener(LevelListener iworldaccess)
-    {
-        listeners.add(iworldaccess);
+    public void addListener(@NotNull LevelListener levelListener) {
+        this.listeners.add(levelListener);
     }
 
-    public void removeListener(LevelListener iworldaccess)
-    {
-        listeners.remove(iworldaccess);
+    public void removeListener(@NotNull LevelListener levelListener) {
+        this.listeners.remove(levelListener);
     }
-    public @NotNull List<AABB> getCubes(Entity entity, AABB aabb) {
+
+    public @NotNull List<@NotNull AABBdc> getCubes(@NotNull Entity entity, @NotNull AABBdc aabb) {
         TilePos d = new TilePos(entity);
-        collidingBoundingBoxes.clear();
-        if (!d.inBounds(this)) return collidingBoundingBoxes;
+        this.collidingBoundingBoxes.clear();
+        if (!d.inBounds(this)) return this.collidingBoundingBoxes;
 
-        int minX = MathHelper.floor(aabb.minX);
-        int maxX = MathHelper.floor(aabb.maxX + 1.0D);
-        int minY = MathHelper.floor(aabb.minY);
-        int maxY = MathHelper.floor(aabb.maxY + 1.0D);
-        int minZ = MathHelper.floor(aabb.minZ);
-        int maxZ = MathHelper.floor(aabb.maxZ + 1.0D);
+        int minX = MathHelper.floor(aabb.minX());
+        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        int minY = MathHelper.floor(aabb.minY());
+        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        int minZ = MathHelper.floor(aabb.minZ());
+        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
 
         ChunkPos p = new ChunkPos(0, 0);
         int cMinX = minX >> 4;
@@ -1369,20 +1272,20 @@ public class World implements MutableWorldSource {
         int cMaxZ = maxZ >> 4;
         for (p.x = cMinX; p.x <= cMaxX; p.x++) {
             for (p.z = cMinZ; p.z <= cMaxZ; p.z++) {
-                if (!chunkProvider.isChunkLoaded(p)) {
-                    return collidingBoundingBoxes;
+                if (!this.chunkProvider.isChunkLoaded(p)) {
+                    return this.collidingBoundingBoxes;
                 }
             }
         }
 
-        for(d.x = minX - 1; d.x <= maxX; d.x++) {
-            for(d.z = minZ - 1; d.z <= maxZ; d.z++) {
-                for(d.y = minY - 1; d.y <= maxY; d.y++) {
+        for (d.x = minX - 1; d.x <= maxX; d.x++) {
+            for (d.z = minZ - 1; d.z <= maxZ; d.z++) {
+                for (d.y = minY - 1; d.y <= maxY; d.y++) {
                     Block<?> block = getBlock(d);
-                    if(block != null) {
+                    if (block != null) {
                         int metadata = getBlockData(d);
                         if (block.collidesWithEntity(entity, this, d) && entity.collidesWithBlock(block, metadata)) {
-                            block.getCollisionAABBs(this, d, aabb, collidingBoundingBoxes);
+                            block.getCollisionAABBs(this, d, aabb, this.collidingBoundingBoxes);
                         }
                     }
                 }
@@ -1390,42 +1293,37 @@ public class World implements MutableWorldSource {
         }
 
         double radius = 0.25D;
-        List<Entity> entities = getEntitiesWithinAABBExcludingEntity(entity, aabb.grow(radius, radius, radius));
+        List<Entity> entities = getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, radius, radius, radius, new AABBd()));
         for (Entity e : entities) {
-            AABB entityBB = e.getBb();
-            if (entityBB != null && entityBB.intersects(aabb)) {
-                collidingBoundingBoxes.add(entityBB);
-            }
-        }
-
-        return collidingBoundingBoxes;
-    }
-
-    public List<AABB> getCollidingSolidBlockBoundingBoxes(Entity entity, AABB axisalignedbb)
-    {
-        collidingBoundingBoxes.clear();
-        int minX = MathHelper.floor(axisalignedbb.minX);
-        int maxX = MathHelper.floor(axisalignedbb.maxX + 1.0D);
-        int minY = MathHelper.floor(axisalignedbb.minY);
-        int maxY = MathHelper.floor(axisalignedbb.maxY + 1.0D);
-        int minZ = MathHelper.floor(axisalignedbb.minZ);
-        int maxZ = MathHelper.floor(axisalignedbb.maxZ + 1.0D);
-        for(int dx = minX - 1; dx <= maxX; dx++)
-        {
-            for(int dz = minZ - 1; dz <= maxZ; dz++)
-            {
-                if(!isBlockLoaded(dx, 64, dz))
-                {
+            AABBdc entityBB = e.getCollisionAABB();
+            if (entityBB != null && entityBB.intersectsAABB((AABBd) aabb)) {
+                this.collidingBoundingBoxes.add(entityBB);
+            }
+        }
+
+        return this.collidingBoundingBoxes;
+    }
+
+    public @NotNull List<@NotNull AABBdc> getCollidingSolidBlockBoundingBoxes(@Nullable Entity entity, @NotNull AABBdc aabb) {
+        this.collidingBoundingBoxes.clear();
+        int minX = MathHelper.floor(aabb.minX());
+        int maxX = MathHelper.floor(aabb.maxX() + 1.0D);
+        int minY = MathHelper.floor(aabb.minY());
+        int maxY = MathHelper.floor(aabb.maxY() + 1.0D);
+        int minZ = MathHelper.floor(aabb.minZ());
+        int maxZ = MathHelper.floor(aabb.maxZ() + 1.0D);
+        TilePos tilePos = new TilePos(0, 0, 0);
+        for (tilePos.x = minX - 1; tilePos.x <= maxX; tilePos.x++) {
+            for (tilePos.z = minZ - 1; tilePos.z <= maxZ; tilePos.z++) {
+                if (!isBlockLoaded(tilePos.x, 64, tilePos.z)) {
                     continue;
                 }
-                for(int dy = minY - 1; dy <= maxY; dy++)
-                {
-                    Block<?> block = Blocks.blocksList[getBlockId(dx, dy, dz)];
-                    if(block != null && block.isSolidRender())
-                    {
+                for (tilePos.y = minY - 1; tilePos.y <= maxY; tilePos.y++) {
+                    Block<?> block = getBlock(tilePos);
+                    if (block != null && block.isSolidRender()) {
                         // ignore mesh blocks if entity is instance of an item
-                        if(!(entity instanceof EntityItem && (block.id() == Blocks.MESH.id() || block.id() == Blocks.SPIKES.id() || block.id() == Blocks.MOBSPAWNER.id())))
-                            block.getCollidingBoundingBoxes(this, dx, dy, dz, axisalignedbb, collidingBoundingBoxes);
+                        if (!(entity instanceof EntityItem && (block.id() == Blocks.MESH.id() || block.id() == Blocks.SPIKES.id() || block.id() == Blocks.MOBSPAWNER.id())))
+                            block.getCollisionAABBs(this, tilePos, aabb, this.collidingBoundingBoxes);
                     }
                 }
 
@@ -1434,245 +1332,203 @@ public class World implements MutableWorldSource {
         }
 
         double d = 0.25D;
-        List<Entity> list = getEntitiesWithinAABBExcludingEntity(entity, axisalignedbb.grow(d, d, d));
-        for(int j2 = 0; j2 < list.size(); j2++)
-        {
-            AABB aabb = list.get(j2).getBb();
-            if(aabb != null && aabb.intersects(axisalignedbb))
-            {
-                collidingBoundingBoxes.add(aabb);
-            }
-        }
-
-        return collidingBoundingBoxes;
-    }
-	
-	public float getAmbientBrightness(float partialTicks) {
-		float angle = getCelestialAngle(partialTicks);
-		float bright = 1.0F - (MathHelper.cos(angle * MathHelper.PI * 2.0F) * 2.0F + 0.2F);
-		bright = 1.0f - MathHelper.clamp(bright, 0.0f, 1.0f);
-		
-		Weather weather = weatherManager.getCurrentWeather();
-		if(weather != null) {
-			// TODO Unhardcode somehow
-			if(weather == Weathers.OVERWORLD_RAIN) {
-				float power = weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower();
-				bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));	
-			}
-			if(weather == Weathers.OVERWORLD_STORM) {
-				float power = weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower();
-				bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
-				bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
-			}
-		}
-		
-		return bright * 0.8f + 0.2f;
-	}
-
-    public float getCelestialAngle(float partialTick)
-    {
-    	if(!getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
-    		partialTick = 1.0f;
-    	}
-        return worldType.getCelestialAngle(this, levelData.getWorldTime(), partialTick);
-    }
-
-
-    public int findTopSolidBlock(int x, int z)
-    {
+        List<Entity> list = getEntitiesWithinAABBExcludingEntity(entity, MathHelper.aabbGrow(aabb, d, d, d, new AABBd()));
+        for (int j2 = 0; j2 < list.size(); j2++) {
+            AABBdc collisionBB = list.get(j2).getCollisionAABB();
+            if (collisionBB != null && collisionBB.intersectsAABB((AABBd) aabb)) {
+                this.collidingBoundingBoxes.add(collisionBB);
+            }
+        }
+
+        return this.collidingBoundingBoxes;
+    }
+
+    public float getAmbientBrightness(float partialTicks) {
+        float angle = getCelestialAngle(partialTicks);
+        float bright = 1.0F - (MathHelper.cos(angle * MathHelper.PI * 2.0F) * 2.0F + 0.2F);
+        bright = 1.0f - MathHelper.clamp(bright, 0.0f, 1.0f);
+
+        Weather weather = this.weatherManager.getCurrentWeather();
+        if (weather != null) {
+            // TODO Unhardcode somehow
+            if (weather == Weathers.OVERWORLD_RAIN) {
+                float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
+            }
+            if (weather == Weathers.OVERWORLD_STORM) {
+                float power = this.weatherManager.getWeatherIntensity() * this.weatherManager.getWeatherPower();
+                bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
+                bright = (float) (bright * (1.0 - (power * 5.0f) / 16.0));
+            }
+        }
+
+        return bright * 0.8f + 0.2f;
+    }
+
+    public float getCelestialAngle(float partialTick) {
+        if (!getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
+            partialTick = 1.0f;
+        }
+        return this.worldType.getCelestialAngle(this, this.levelData.getWorldTime(), partialTick);
+    }
+
+
+    public int findTopSolidBlock(int x, int z) {
         Chunk chunk = getChunkFromBlockCoords(x, z);
         int y = getHeightBlocks() - 1;
         x &= (Chunk.CHUNK_SIZE_X - 1);
         z &= (Chunk.CHUNK_SIZE_Z - 1);
-        while(y > 0)
-        {
+        while (y > 0) {
             int id = chunk.getBlockID(x, y, z);
-            Material material = id != 0 ? Blocks.blocksList[id].getMaterial() : Material.air;
-            if(!material.blocksMotion() && !material.isLiquid())
-            {
+            Material material = id != 0 ? Blocks.blocksList[id].getMaterial() : Materials.AIR;
+            if (!material.blocksMotion() && !material.isLiquid()) {
                 y--;
-            }
-            else
-            {
+            } else {
                 return y + 1;
             }
         }
         return -1;
     }
-    
-    public int findTopSolidNonLiquidBlock(int x, int z)
-    {
+
+    public int findTopSolidNonLiquidBlock(int x, int z) {
         Chunk chunk = getChunkFromBlockCoords(x, z);
         int y = getHeightBlocks() - 1;
         x &= (Chunk.CHUNK_SIZE_X - 1);
         z &= (Chunk.CHUNK_SIZE_Z - 1);
-        while(y > 0)
-        {
+        while (y > 0) {
             Block<?> block = Blocks.getBlock(chunk.getBlockID(x, y, z));
-            Material material = block != null ? block.getMaterial() : Material.air;
-            if(!material.blocksMotion())
-            {
+            Material material = block != null ? block.getMaterial() : Materials.AIR;
+            if (!material.blocksMotion()) {
                 y--;
-            } else
-            {
+            } else {
                 return y + 1;
             }
         }
         return -1;
     }
 
-    public float getStarBrightness(float partialTick)
-    {
+    public float getStarBrightness(float partialTick) {
         float f1 = getCelestialAngle(partialTick);
         float f2 = 1.0F - (MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.75F);
-        if(f2 < 0.0F)
-        {
+        if (f2 < 0.0F) {
             f2 = 0.0F;
         }
-        if(f2 > 1.0F)
-        {
+        if (f2 > 1.0F) {
             f2 = 1.0F;
         }
         return f2 * f2 * 0.5F;
     }
 
-    public final void scheduleBlockUpdate(final @NotNull TilePos tilePos, final int id, final long delay) {
-        this.scheduleBlockUpdate(tilePos, id, delay, false);
-    }
-
     @Deprecated
     public final void scheduleBlockUpdate(final int x, final int y, final int z, final int id, final long delay) {
         this.scheduleBlockUpdate(new TilePos(x, y, z), id, delay);
     }
 
-    public void scheduleBlockUpdate(final @NotNull TilePos tilePos, final int id, final long delay, final boolean loaded) {
-        NextTickListEntry entry = new NextTickListEntry(tilePos.x, tilePos.y, tilePos.z, id, getWorldTime());
-        entry.loaded = loaded;
+    public void scheduleBlockUpdate(final @NotNull TilePosc tilePos, final int id, final long delay) {
+        NextTickListEntry entry = new NextTickListEntry(tilePos, id);
         final byte radius = 8;
 
-        if(scheduledUpdatesAreImmediate && !immediatelyUpdatedPositions.contains(entry)) {
-            if(entry.loaded || areBlocksLoaded(entry.x - radius, entry.y - radius, entry.z - radius, entry.x + radius, entry.y + radius, entry.z + radius)) {
-                int id1 = getBlockId(entry.x, entry.y, entry.z);
-                if(id1 == entry.blockId && id1 > 0) {
-                    immediatelyUpdatedPositions.add(entry);
-                    Blocks.blocksList[id1].updateTick(this, entry.x, entry.y, entry.z, rand, false);
+        if (this.scheduledUpdatesAreImmediate && !this.immediatelyUpdatedPositions.contains(entry)) {
+            if (areBlocksLoaded(entry.tilePos.x - radius, entry.tilePos.y - radius, entry.tilePos.z - radius, entry.tilePos.x() + radius, entry.tilePos.y() + radius, entry.tilePos.z() + radius)) {
+                final @NotNull Block<?> block = this.getBlock(entry.tilePos);
+                if (block != null && block.id() == entry.blockId) {
+                    this.immediatelyUpdatedPositions.add(entry);
+                    block.updateTick(this, entry.tilePos, this.rand, false);
                 }
             }
             return;
         }
-        if(entry.loaded || areBlocksLoaded(tilePos, radius)) {
-            if(id > 0) {
-                entry.setDelay(delay);
+        if (areBlocksLoaded(tilePos, radius)) {
+            if (id > 0) {
+                entry.setDelay(delay + runtime);
             }
-            if(!tickNextTickList.contains(entry)) {
-                tickNextTickList.add(entry);
-                final @NotNull Chunk chunk = Objects.requireNonNull(this.getChunk(tilePos));
-                chunk.addTick(entry);
+            if (!this.tickNextTickSet.contains(entry)) {
+                this.tickNextTickSet.add(entry);
+                this.tickNextTickList.add(entry);
             }
         }
     }
 
-    @Deprecated
-    public final void scheduleBlockUpdate(final int x, final int y, final int z, final int id, final long delay, final boolean loaded) {
-        this.scheduleBlockUpdate(new TilePos(x, y, z), id, delay, loaded);
-    }
-
-    public void updateEntities()
-    {
-        for(int i = 0; i < weatherEffects.size(); i++)
-        {
-            Entity entity = weatherEffects.get(i);
+    public void updateEntities() {
+        for (int i = 0; i < this.weatherEffects.size(); i++) {
+            Entity entity = this.weatherEffects.get(i);
             entity.tick();
-            if(entity.removed)
-            {
-                weatherEffects.remove(i--);
+            if (entity.removed) {
+                this.weatherEffects.remove(i--);
             }
         }
 
-        entities.removeAll(entitiesToRemove);
-        for(int j = 0; j < entitiesToRemove.size(); j++)
-        {
-            Entity entity1 = entitiesToRemove.get(j);
+        this.entities.removeAll(this.entitiesToRemove);
+        for (int j = 0; j < this.entitiesToRemove.size(); j++) {
+            Entity entity1 = this.entitiesToRemove.get(j);
             int i1 = entity1.chunkCoordX;
             int k1 = entity1.chunkCoordZ;
-            if(entity1.addedToChunk && isChunkLoaded(i1, k1))
-            {
+            if (entity1.addedToChunk && isChunkLoaded(i1, k1)) {
                 getChunkFromChunkCoords(i1, k1).removeEntity(entity1);
             }
         }
 
-        for(int k = 0; k < entitiesToRemove.size(); k++)
-        {
-            releaseEntitySkin(entitiesToRemove.get(k));
+        for (int k = 0; k < this.entitiesToRemove.size(); k++) {
+            releaseEntitySkin(this.entitiesToRemove.get(k));
         }
 
-        entitiesToRemove.clear();
-        for(int l = 0; l < entities.size(); l++)
-        {
-            Entity entity2 = entities.get(l);
-            if(entity2.vehicle != null)
-            {
-                if(!entity2.vehicle.isRemoved() && entity2.vehicle.getPassenger() == entity2)
-                {
+        this.entitiesToRemove.clear();
+        for (int l = 0; l < this.entities.size(); l++) {
+            Entity entity2 = this.entities.get(l);
+            if (entity2.vehicle != null) {
+                if (!entity2.vehicle.isRemoved() && entity2.vehicle.getPassenger() == entity2) {
                     continue;
                 }
                 entity2.vehicle.setPassenger(null);
                 entity2.vehicle = null;
             }
-            if(!entity2.removed)
-            {
+            if (!entity2.removed) {
                 updateEntity(entity2);
             }
-            if(!entity2.removed)
-            {
+            if (!entity2.removed) {
                 continue;
             }
             int j1 = entity2.chunkCoordX;
             int l1 = entity2.chunkCoordZ;
-            if(entity2.addedToChunk && isChunkLoaded(j1, l1))
-            {
+            if (entity2.addedToChunk && isChunkLoaded(j1, l1)) {
                 getChunkFromChunkCoords(j1, l1).removeEntity(entity2);
             }
-            entities.remove(l--);
+            this.entities.remove(l--);
             releaseEntitySkin(entity2);
         }
 
-        updatingTileEntities = true;
-        for (int i = tileEntityList.size() - 1; i >= 0; i--) {
-            TileEntity tileEntity = tileEntityList.get(i);
+        this.updatingTileEntities = true;
+        for (int i = this.tileEntityList.size() - 1; i >= 0; i--) {
+            TileEntity tileEntity = this.tileEntityList.get(i);
             if (!tileEntity.isInvalid() && isBlockLoaded(tileEntity.x, tileEntity.y, tileEntity.z)) {
                 tileEntity.tick();
             }
             if (tileEntity.isInvalid()) {
-                tileEntityList.remove(i);
+                this.tileEntityList.remove(i);
                 Chunk chunk = getChunkFromChunkCoords(Math.floorDiv(tileEntity.x, Chunk.CHUNK_SIZE_X), Math.floorDiv(tileEntity.z, Chunk.CHUNK_SIZE_Z));
                 if (chunk != null) {
                     chunk.removeTileEntity(tileEntity);
                 }
             }
         }
-        updatingTileEntities = false;
+        this.updatingTileEntities = false;
     }
 
-    public void addAllBlockEntities(Collection<TileEntity> blockEntities)
-    {
-        tileEntityList.addAll(blockEntities);
+    public void addAllBlockEntities(Collection<TileEntity> blockEntities) {
+        this.tileEntityList.addAll(blockEntities);
     }
 
-    public void updateEntity(Entity entity)
-    {
+    public void updateEntity(Entity entity) {
         updateEntityWithOptionalForce(entity, true);
     }
 
-    public void updateEntityWithOptionalForce(Entity entity, boolean flag)
-    {
+    public void updateEntityWithOptionalForce(Entity entity, boolean flag) {
         int i = MathHelper.floor(entity.x);
         int j = MathHelper.floor(entity.z);
         byte byte0 = 32;
-        if(flag && !areBlocksLoaded(i - byte0, 0, j - byte0, i + byte0, getHeightBlocks() - 1, j + byte0))
-        {
+        if (flag && !areBlocksLoaded(i - byte0, 0, j - byte0, i + byte0, getHeightBlocks() - 1, j + byte0)) {
             //try to despawn if entity wanders into nonexistant chunk
-            if(entity instanceof Mob) {
+            if (entity instanceof Mob) {
                 ((Mob) entity).tryToDespawn();
             }
             return;
